From: <a href="/blend/av.cgi?id=74">Echolocation</a><BR>
Date: 9 July 2004<P>

Kirk - the Blender Feature this month is a great discussion, thanks for sharing it w/us.  Your reliance on the rational reminds me of myself: my friends have not called me Captain Cerebral but they *have* called me a Vulcan LOL!  <BR>
<BR>
This particularly struck me:<BR>
<BR>
"there's no reason to be sparse with the love when you feel it - life is short, and you're gonna be dead, and do you want any ambiguity to exist between you and the people you love most when that's the case?  silence = ambiguity, and just doing something nice doesn' cut it.  sure, people feel warmth, but hearing 'i love you' strips away all ambiguity, and helps you feel the full impact of that person's closeness to you. "<BR>
<BR>
When someone you love is gone, will you be saying to yourself, "Well, thank god I never made myself feel all weird by saying 'I love you'" ?  Or will you be saying, "Damn it, I wish I'd told them and told them often..."  While you're right, you don't want to be indiscriminate about it, it's also important to remember that people aren't mind readers.  Actions that *show* your feelings are an important element of love, but equally important is the ability (and willingness) to say it, out loud, officially if you will.  <BR>
<BR>
And speaking as one who used to feel quite "squirmy" about saying "I love you" to family, I can guarantee you that it gets easier the more you do it :)
<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 9 July 2004<P>

Hey echolocation--<BR>
Thanks for the feedback about that. I'll make sure "Anne" sees it.<BR>
<BR>
Your hypothetical about when someone you love is gone (kind of akin to the thought that no one lies on their deathbed wishing they spent more time in the office) is thought-provoking, but like I mentioned in the piece, for some reason I don't naturally WANT to be told I'm loved. I want to be loved, don't get me wrong, but I see that expressed more by how people act around each other and what they're willing to do for each other. As I (hopefully) mature I can get learn to better meet people's emotional needs in this area even when they aren't reflections of my own.<BR>
<BR>
Funny, last night Peterman (the guy who had some thoughts that sparked that email dialog) was finishing up a conversation with me and he started to say "Ok, love you" much to the merriment of me and his wife who could hear on the other line.  (See, it's ok for a guy to say that to another guy just as long as they say "Love You *MAN*"--the same way we "can't" hug without back-thumping to go with it.) It was an instance of the reflexive "saying i love you as puncuation" that I'm slightly wary of. (Though really my problem hasn't been with saying it as puncuation, it comes time in just sincerely expressing my true love feelings with a straight face and not getting all squirmy)
<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 9 July 2004<P>

By "other line" I meant overhear on his side of the line. We weren't 3 way calling or anything
<HR>
From: <a href="/blend/av.cgi?id=1498">twisted_lie</a><BR>
Date: 9 July 2004<P>

*i'm beautifully depressed*<BR>
                      
<HR>